public inbox for gdb-cvs@sourceware.org
help / color / mirror / Atom feed
* [binutils-gdb] [gdb/testsuite] Clean up formatting in gdb/contrib/cc-with-tweaks.sh
@ 2024-06-15  6:10 Tom de Vries
  0 siblings, 0 replies; only message in thread
From: Tom de Vries @ 2024-06-15  6:10 UTC (permalink / raw)
  To: gdb-cvs

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=382cac8881270437414bb6b6bd5b7b15761e3000

commit 382cac8881270437414bb6b6bd5b7b15761e3000
Author: Tom de Vries <tdevries@suse.de>
Date:   Sat Jun 15 08:10:44 2024 +0200

    [gdb/testsuite] Clean up formatting in gdb/contrib/cc-with-tweaks.sh
    
    In emacs, on gdb/contrib/cc-with-tweaks.sh, do:
    - M-x whitespace-cleanup,
    - M-x mark-whole-buffer and M-x indent-region, and
    - and undo the unwanted changes in the header comment.
    
    Only whitespace changes.
    
    Tested on x86_64-linux.
    
    Approved-by: Kevin Buettner <kevinb@redhat.com>

Diff:
---
 gdb/contrib/cc-with-tweaks.sh | 40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

diff --git a/gdb/contrib/cc-with-tweaks.sh b/gdb/contrib/cc-with-tweaks.sh
index 9d9c19c4430..4214b929295 100755
--- a/gdb/contrib/cc-with-tweaks.sh
+++ b/gdb/contrib/cc-with-tweaks.sh
@@ -136,10 +136,10 @@ do
     # doing a link and what the output file is.
     # It's not perfect, but it seems to work well enough for the task at hand.
     case "$arg" in
-    "-c") have_link=no ;;
-    "-E") have_link=no ;;
-    "-S") have_link=no ;;
-    "-o") next_is_output_file=yes ;;
+	"-c") have_link=no ;;
+	"-E") have_link=no ;;
+	"-S") have_link=no ;;
+	"-o") next_is_output_file=yes ;;
     esac
 done
 
@@ -214,9 +214,9 @@ fi
 
 if [ "$want_index_cache" = true ]; then
     $GDB -q -batch \
-	-ex "set index-cache directory $INDEX_CACHE_DIR" \
-	-ex "set index-cache enabled on" \
-	-ex "file $output_file"
+	 -ex "set index-cache directory $INDEX_CACHE_DIR" \
+	 -ex "set index-cache enabled on" \
+	 -ex "file $output_file"
     rc=$?
     [ $rc != 0 ] && exit $rc
 fi
@@ -248,18 +248,18 @@ if [ "$want_dwz" = true ]; then
     rm -f "${output_file}.copy"
 
     case $cmp_rc in
-    0)
-	echo "$myname: dwz did not modify ${output_file}."
-        exit 1
-	;;
-    1)
-	# File was modified, great.
-	;;
-    *)
-	# Other cmp error, it presumably has already printed something on
-	# stderr.
-	exit 1
-	;;
+	0)
+	    echo "$myname: dwz did not modify ${output_file}."
+	    exit 1
+	    ;;
+	1)
+	    # File was modified, great.
+	    ;;
+	*)
+	    # Other cmp error, it presumably has already printed something on
+	    # stderr.
+	    exit 1
+	    ;;
     esac
 elif [ "$want_multi" = true ]; then
     get_tmpdir
@@ -326,7 +326,7 @@ if [ "$want_gnu_debuglink" = true ]; then
 	# Overwrite output_file with stripped version containing
 	# .gnu_debuglink to debug_file.
 	$OBJCOPY --add-gnu-debuglink="$link" "${stripped_file}" \
-		"${output_file}"
+		 "${output_file}"
     )
     rc=$?
     [ $rc != 0 ] && exit $rc

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2024-06-15  6:10 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-06-15  6:10 [binutils-gdb] [gdb/testsuite] Clean up formatting in gdb/contrib/cc-with-tweaks.sh Tom de Vries

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).